loci.formats

## Class CoreMetadata

- java.lang.Object
- - loci.formats.CoreMetadata

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    OMETiffReader.OMETiffCoreMetadata, SVSCoreMetadata, SwappableMetadata

      public class CoreMetadata
      extends java.lang.Object
      implements java.lang.Cloneable

  Encompasses core metadata values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bitsPerPixel` Number of valid bits per pixel.
    `java.lang.String` | `dimensionOrder` Order in which dimensions are stored.
    `boolean` | `falseColor` Indicates whether or not we can ignore the color map (if present).
    `int` | `imageCount` Total number of images.
    `boolean` | `indexed` Indicates whether or not the images are stored as indexed color.
    `boolean` | `interleaved` True if channels are stored RGBRGBRGB...; false if channels are stored RRR...GGG...BBB...
    `boolean` | `littleEndian` Indicates whether or not each pixel's bytes are in little endian order.
    `boolean` | `metadataComplete` Indicates whether or not we are confident that all of the metadata stored within the file has been parsed.
    `Modulo` | `moduloC`
    `Modulo` | `moduloT`
    `Modulo` | `moduloZ`
    `boolean` | `orderCertain` Indicates whether or not we are confident that the dimension order is correct.
    `int` | `pixelType` Describes the number of bytes per pixel.
    `int` | `resolutionCount`
    `boolean` | `rgb` Indicates whether or not the images are stored as RGB (multiple channels per plane).
    `java.util.Hashtable<java.lang.String,java.lang.Object>` | `seriesMetadata` Non-core metadata associated with this series.
    `int` | `sizeC` Number of channels.
    `int` | `sizeT` Number of timepoints.
    `int` | `sizeX` Width (in pixels) of images in this series.
    `int` | `sizeY` Height (in pixels) of images in this series.
    `int` | `sizeZ` Number of Z sections.
    `boolean` | `thumbnail` Indicates whether or not this series is a lower-resolution copy of another series.
    `int` | `thumbSizeX` Width (in pixels) of thumbnail images in this series.
    `int` | `thumbSizeY` Height (in pixels) of thumbnail images in this series.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreMetadata()`
    `CoreMetadata(CoreMetadata c)`
    `CoreMetadata(IFormatReader r, int coreIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `CoreMetadata` | `clone(IFormatReader r, int coreIndex)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sizeX

          public int sizeX

      Width (in pixels) of images in this series.

    - #### sizeY

          public int sizeY

      Height (in pixels) of images in this series.

    - #### sizeZ

          public int sizeZ

      Number of Z sections.

    - #### sizeC

          public int sizeC

      Number of channels.

    - #### sizeT

          public int sizeT

      Number of timepoints.

    - #### thumbSizeX

          public int thumbSizeX

      Width (in pixels) of thumbnail images in this series.

    - #### thumbSizeY

          public int thumbSizeY

      Height (in pixels) of thumbnail images in this series.

    - #### pixelType

          public int pixelType

      Describes the number of bytes per pixel. Must be one of the static pixel types (e.g. `INT8`) in `FormatTools`.

    - #### bitsPerPixel

          public int bitsPerPixel

      Number of valid bits per pixel.

    - #### imageCount

          public int imageCount

      Total number of images.

    - #### moduloZ

          public Modulo moduloZ

    - #### moduloC

          public Modulo moduloC

    - #### moduloT

          public Modulo moduloT

    - #### dimensionOrder

          public java.lang.String dimensionOrder

      Order in which dimensions are stored. Must be one of the following:
      - XYCZT
      - XYCTZ
      - XYZCT
      - XYZTC
      - XYTCZ
      - XYTZC

    - #### orderCertain

          public boolean orderCertain

      Indicates whether or not we are confident that the dimension order is correct.

    - #### rgb

          public boolean rgb

      Indicates whether or not the images are stored as RGB (multiple channels per plane).

    - #### littleEndian

          public boolean littleEndian

      Indicates whether or not each pixel's bytes are in little endian order.

    - #### interleaved

          public boolean interleaved

      True if channels are stored RGBRGBRGB...; false if channels are stored RRR...GGG...BBB...

    - #### indexed

          public boolean indexed

      Indicates whether or not the images are stored as indexed color.

    - #### falseColor

          public boolean falseColor

      Indicates whether or not we can ignore the color map (if present).

    - #### metadataComplete

          public boolean metadataComplete

      Indicates whether or not we are confident that all of the metadata stored within the file has been parsed.

    - #### seriesMetadata

          public java.util.Hashtable<java.lang.String,java.lang.Object> seriesMetadata

      Non-core metadata associated with this series.

    - #### thumbnail

          public boolean thumbnail

      Indicates whether or not this series is a lower-resolution copy of another series.

    - #### resolutionCount

          public int resolutionCount

  - ### Constructor Detail

    - #### CoreMetadata

          public CoreMetadata()

    - #### CoreMetadata

          public CoreMetadata(IFormatReader r,
                              int coreIndex)

    - #### CoreMetadata

          public CoreMetadata(CoreMetadata c)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### clone

          public CoreMetadata clone(IFormatReader r,
                                    int coreIndex)

Copyright © 2026 Open Microscopy Environment